commit:     b324930ce22132f0e984ca1fce1467795016041d
Author:     Sam James <sam <AT> gentoo <DOT> org>
AuthorDate: Thu Mar  4 03:46:44 2021 +0000
Commit:     Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Thu Mar  4 03:49:23 2021 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=b324930c

dev-python/audioread: version bump 2.1.9

Signed-off-by: Sam James <sam <AT> gentoo.org>

 dev-python/audioread/Manifest               |  1 +
 dev-python/audioread/audioread-2.1.9.ebuild | 38 +++++++++++++++++++++++++++++
 2 files changed, 39 insertions(+)

diff --git a/dev-python/audioread/Manifest b/dev-python/audioread/Manifest
index 8f5f4d9ac4d..14ca29568ad 100644
--- a/dev-python/audioread/Manifest
+++ b/dev-python/audioread/Manifest
@@ -1 +1,2 @@
 DIST audioread-2.1.8.tar.gz 21222 BLAKE2B 
78cc55d45dd987fbe0171cd3da9f8441e38b60fa6f1b0ef8b0781abc91e6b447b8cf839437b59bfafdf13ca90bb50a032788e0470250f303122a46ddc24ebd19
 SHA512 
9db5ad1f8b2047256b5f6b4bbee2366043ed19d35ffd2766ae3ab66bdc5b9f63910bcf449fd42aab074fd8132642bf730c432aa0c8f3c5368cd6ef36d7f4f5a5
+DIST audioread-2.1.9.tar.gz 377500 BLAKE2B 
a90d1d7531c265a8c2b7933ac0bfc00fbdf298546620fef3ccae0204fc1eedcc584bf2fdb79b1bbda81b29d03346abc236cd0234684ba3cc70642f837033ab99
 SHA512 
ad2260b6931cfeebb815d48221366a2a5d8095965ff18e94c5eb0809d9a1b02e650a62ad5e895b7f1e003771fa3babf56f59ce4538aca78b678566fd28327290

diff --git a/dev-python/audioread/audioread-2.1.9.ebuild 
b/dev-python/audioread/audioread-2.1.9.ebuild
new file mode 100644
index 00000000000..c14c97ad2fe
--- /dev/null
+++ b/dev-python/audioread/audioread-2.1.9.ebuild
@@ -0,0 +1,38 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python3_{7,8,9} )
+inherit distutils-r1
+
+DESCRIPTION="Wrapper for audio file decoding using FFmpeg or GStreamer"
+HOMEPAGE="https://pypi.org/project/audioread/";
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="ffmpeg gstreamer +mad"
+# Enabled mad by default as it's the lighest dep to ease testing
+REQUIRED_USE="
+       ${PYTHON_REQUIRED_USE}
+       test? ( || ( ffmpeg gstreamer mad ) )
+"
+
+RDEPEND="
+       ffmpeg? ( media-video/ffmpeg )
+       gstreamer? (
+               dev-python/pygobject:3[${PYTHON_USEDEP}]
+               media-libs/gstreamer:1.0
+               media-plugins/gst-plugins-meta:1.0
+       )
+       mad? ( dev-python/pymad )
+"
+
+python_prepare_all() {
+       distutils-r1_python_prepare_all
+       sed -e "/'pytest-runner'/d" -i setup.py || die
+}
+
+distutils_enable_tests pytest

Reply via email to